List of all members
clan::PNGOutputDescription Class Reference
clanDisplay Image Providers

Set PNG output options. Used with PNGProvider::save(). More...

`#include <png_output_description.h>`

## Public Member Functions
Construction
| PNGOutputDescription (int bit_depth=8, PNGColorType color_type=png_color_type_rgb_alpha)
| Create output description. More...
Operations
void | add_palette (const PNGOutputDescriptionPalette &palette)
void | add_comment (const std::string &comment, std::string &keyword, const std::string &lang, const std::string &translated_keyword)
void | add_unknown_chunk (const std::string &name, const DataBuffer &chunk_data, PNGUnknownChunkLocation location)
void | set_background_color (const Color &background_color)
void | set_chromacities (const Vec2f &white, const Vec2f &red, const Vec2f &green, const Vec2f &blue)
void | set_chromacities_XYZ (const Vec3f &red, const Vec3f &green, const Vec3f &blue)
void | set_key_color (const Color &color)
void | set_filter_method (PNGFilterMethod filter)
void | set_gamma (float gamma)
void | set_icc_profile (const std::string &profile_name, const DataBuffer &profile_data)
void | set_interlace_type (PNGInterlaceType type)
void | set_modification_time (const DateTime &datetime)
void | set_offset_from_screen_topleft (const Vec2i &offset, PNGOffsetUnitType offset_unit_type)
void | set_physical_resolution (const Vec2i &resolution, PNGResolutionUnitType resolution_type)
void | set_physical_scale (int scale_units, const Sized &pixel_size_in_scale_units)
void | set_srgb_intent (PNGsRGBIntent intent)
void | set_significant_bits (int num_bits)

## Detailed Description

Set PNG output options. Used with PNGProvider::save().

The documentation for this class was generated from the following file:

- png_output_description.h